org.jfree.xml.generator.model

## Class ManualMappingInfo

- java.lang.Object
- - org.jfree.xml.generator.model.ManualMappingInfo

-     public class ManualMappingInfo
      extends java.lang.Object

  The manual mapping describes, how a certain class is handled in the parser. This defines the read and write handler implementations to be used to handle the instantiation or serialisation of the described type.

  Manual mappings will not be created by the generator, they have to be defined manually. The parser will print warnings, if the definitions are invalid.

  Manual mappings will always override automatic mappings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManualMappingInfo(java.lang.Class baseClass, java.lang.Class readHandler, java.lang.Class writeHandler)` Creates a new manual mapping instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getBaseClass()` Returns the base class.
    `Comments` | `getComments()` Returns the comments.
    `java.lang.Class` | `getReadHandler()` Returns the read handler class.
    `java.lang.String` | `getSource()` Returns the source.
    `java.lang.Class` | `getWriteHandler()` Returns the write handler class.
    `void` | `setComments(Comments comments)` Sets the comments.
    `void` | `setSource(java.lang.String source)` Sets the source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManualMappingInfo

          public ManualMappingInfo(java.lang.Class baseClass,
                           java.lang.Class readHandler,
                           java.lang.Class writeHandler)

      Creates a new manual mapping instance.
      Parameters:
        `baseClass` - the base class.
        `readHandler` - the read handler class.
        `writeHandler` - the write handler class.

  - ### Method Detail

    - #### getBaseClass

          public java.lang.Class getBaseClass()

      Returns the base class.
      Returns:
        The base class.

    - #### getReadHandler

          public java.lang.Class getReadHandler()

      Returns the read handler class.
      Returns:
        The read handler class.

    - #### getWriteHandler

          public java.lang.Class getWriteHandler()

      Returns the write handler class.
      Returns:
        The write handler class.

    - #### getComments

          public Comments getComments()

      Returns the comments.
      Returns:
        The comments.

    - #### setComments

          public void setComments(Comments comments)

      Sets the comments.
      Parameters:
        `comments` - the comments.

    - #### getSource

          public java.lang.String getSource()

      Returns the source.
      Returns:
        The source.

    - #### setSource

          public void setSource(java.lang.String source)

      Sets the source.
      Parameters:
        `source` - the source.